> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete remote tunnel

> Tear down a remote tunnel and its DNS records



## OpenAPI

````yaml /api-reference/api.json delete /v1/remote-tunnels/{runnerId}
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: >-
    REST API for triggering and managing AI-powered test runs. Authenticate with
    a project API token (Authorization: Bearer <token>) found in Project
    Settings -> Integrations.
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
paths:
  /v1/remote-tunnels/{runnerId}:
    delete:
      tags:
        - Remote Tunnels
      summary: Delete remote tunnel
      description: Tear down a remote tunnel and its DNS records
      operationId: DeleteRemoteTunnel
      parameters:
        - name: runnerId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteRemoteTunnelResponse'
components:
  schemas:
    DeleteRemoteTunnelResponse:
      type: object
      required:
        - deleted
      properties:
        deleted:
          type: boolean
      description: Response after deleting a remote tunnel
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````